/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description: 
*
*/



#ifndef __CDNSSECTION_H__
#define __CDNSSECTION_H__

#include <e32base.h>
#include <mdns/dnsconstants.h>


// Base class for Question and Data section of the message
class CDnsSection : public CBase
    {
public:	
	IMPORT_C virtual ~CDnsSection();
	IMPORT_C const TDesC8& Name()const;
	IMPORT_C void SetNameL(const TDesC8& aName);
	
	IMPORT_C TUint16 Type()const;
	IMPORT_C void SetType(TUint16 aType);	
		
	IMPORT_C TUint16 Class()const;
	IMPORT_C void SetClass(TUint16 aClass);
	   
protected:
    CDnsSection();

protected:
    RBuf8 iName;
	TUint16 iType;
	TUint16 iClass;	
    };

#endif // __CDNSSECTION_H__ 
